View Issue Details

IDProjectCategoryView StatusLast Update
0000083After The Collapse[All Projects] Gameplaypublic2018-10-31 21:32
ReporterEsKaAssigned ToEsKa 
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
PlatformPC OSWindows 10OS VersionLatest (EsKa)
Product Version0.4 - Early Access 
Target Version0.4.2 - Early AccessFixed in Version0.4.2 - Early Access 
Summary0000083: Expeditions: Need related issues
DescriptionIf a settler is starving or dehydrated before going on a trip, the side effect (aka death) will still trigger on his return as the due date for the effect will have passed.
It's a bit of a tricky one

We can
1. Fire some expedition "camping" event purposefully to "heal" their needs (can be exploited by players)
2. Force feed them food if they find some (problematic as food is generally distributed as ingredients during expeditions, costly in dev time)
3. Randomize need values when they return; abstracting the fact they lived on their own during that period (less exploitable than 1, but will still need to account for radio)
TagsNo tags attached.

Activities

nox

2018-10-11 06:23

developer   ~0000056

also consideration perhaps allow equipping ranger parties with additional gear to help surmount additional threats.

ohhh shit I like that idea.

possible things they can find on missions that will help with future missions -

mirror - allows them to bypass sniper situations or to locate sniper and turn the threat encounter into a victory with loot
gasmasks, geiger counter - allows them to bypass radioactive areas or find otherwise inaccessible loot
etc.

EsKa

2018-10-19 11:40

administrator   ~0000070

Yeah i like that too, but that can't fit in our current 0.4.2 schedule. I'll postpone the traits' effects instead and we'll do another pass at the Expedition stuff later down the line

EsKa

2018-10-19 12:28

administrator   ~0000071

feel free to post a copy as a feature topic.

Issue History

Date Modified Username Field Change
2018-10-09 20:43 EsKa New Issue
2018-10-09 20:43 EsKa Status new => assigned
2018-10-09 20:43 EsKa Assigned To => EsKa
2018-10-11 06:23 nox Note Added: 0000056
2018-10-15 01:22 EsKa Target Version 0.4.1 - Early Access => 0.4.2 - Early Access
2018-10-19 11:40 EsKa Note Added: 0000070
2018-10-19 12:28 EsKa Status assigned => resolved
2018-10-19 12:28 EsKa Resolution open => fixed
2018-10-19 12:28 EsKa Fixed in Version => 0.4.2 - Early Access
2018-10-19 12:28 EsKa Note Added: 0000071
2018-10-31 21:32 EsKa Status resolved => closed